CDKSDF2SMILES(1)

NAME
cdksdf2smiles - convert SDF to SMILES

DESCRIPTION
Convert SDF (MOL) files to SMILES strings.

USAGE

    cdksdf2smiles < input.sdf cdksdf2smiles inputs*.sdf

  OPTIONS:

-2, --mdl2000-input
    read MDL2000 format files (default)

-3, --mdl3000-input
    read MDL3000 format files

--cdk-electron-donation-model

    use the CDK electron donation model (requires extra automatic atom type perception)

--daylight-electron-donation-model

    use the Daylight el. donation model (default)

-a, --aromatic
    output "aromatic" SMILES

-a-,--not-aromatic
    output "kekulised" SMILES

-h, --suppress-hydrogens

    suppress explicit hydrogens (default)

-h-, --dont-suppress-hydrogens

    leave explicit hydrogens

--version
    Print program version and exit

--help
    Print short help message (this message) and exit